Get an event type sequence
curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": 123,
"title": "Engineering interview loop",
"slug": "engineering-loop",
"description": "<string>",
"status": "valid",
"totalLengthMinutes": 135,
"segments": [
{
"position": 0,
"eventTypeId": 101,
"title": "Technical interview",
"lengthMinutes": 45,
"schedulingType": "collective",
"fixedHosts": [
{
"name": "Dana Smith",
"avatarUrl": "<string>"
}
],
"invalidReason": "not_found"
}
],
"bookingFields": [
{
"field": "name",
"slug": "name",
"variant": "fullName",
"disableOnPrefill": true,
"label": "<string>",
"placeholder": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Event Type Sequences
Get an event type sequence
Includes whether the sequence can be booked right now and, for each segment that can’t, why. PBAC permission: eventType.read for a team member, or eventType.readTeamEventTypes for anyone else in the organization. If accessed using an OAuth access token, the TEAM_EVENT_TYPE_READ scope is required.
GET
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
event-type-sequences
/
{uid}
Get an event type sequence
curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": 123,
"title": "Engineering interview loop",
"slug": "engineering-loop",
"description": "<string>",
"status": "valid",
"totalLengthMinutes": 135,
"segments": [
{
"position": 0,
"eventTypeId": 101,
"title": "Technical interview",
"lengthMinutes": 45,
"schedulingType": "collective",
"fixedHosts": [
{
"name": "Dana Smith",
"avatarUrl": "<string>"
}
],
"invalidReason": "not_found"
}
],
"bookingFields": [
{
"field": "name",
"slug": "name",
"variant": "fullName",
"disableOnPrefill": true,
"label": "<string>",
"placeholder": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
The sequence's uid.
The team's uuid (preferred), its short-uuid (Flickr Base58) form, or its numeric id.
Was this page helpful?